Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.kemet.impl.grammar.model
Class Pronoun

    java.lang.Object
      org.kemet.impl.grammar.model.Pronoun

All Implemented Interfaces:
  java.io.Serializable

    public class Pronoun

extends java.lang.Object
implements java.io.Serializable

Since:
  0.6
Author:
  fabricemaupin

  BEAN : information about pronoun.

See Also:
  Serialized Form

Constructor Summary
`Pronoun()` instantiate the object.

Method Summary
`static void` | `clear()` remove all instances.
`java.lang.String` | `getId()` return the identification.
`java.lang.String` | `getMode()` return the mode.
`java.lang.String` | `getPerson()` return the person.
`java.lang.String` | `getReplace()` return the hieroglyph which have to be replaced.
`static java.util.HashMap<java.lang.String,Pronoun>` | `getSeek()` return the list of instances.
`java.lang.String` | `getValue()` return the value.
`boolean` | `isDemonstrative()` return true / false if it's a demonstrative pronoun.
`boolean` | `isFeminine()` return the feminine mode.
`static java.lang.String` | `isFoundByTransliteration(java.lang.String transliteration)` the transliteration is a pronoun ?
`void` | `setDemonstrative(boolean demonstrative)` fix true / false if it's a demonstrative pronoun.
`void` | `setFeminine(boolean feminine)` fix the feminine mode.
`void` | `setId(java.lang.String id)` fix the identification.
`void` | `setMode(java.lang.String mode)` fix the mode.
`void` | `setPerson(java.lang.String person)` fix the person.
`void` | `setReplace(java.lang.String replace)` fix the hieroglyph which have to be replaced.
`void` | `setValue(java.lang.String value)` fix the value.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Pronoun

    public Pronoun()

  instantiate the object.

  Since:
    0.6

Method Detail

### clear

    public static void clear()

  remove all instances.

  Since:
    0.6

### getSeek

    public static java.util.HashMap<java.lang.String,Pronoun> getSeek()

  return the list of instances.

  Returns:
    instances
  Since:
    0.6

### isFoundByTransliteration

    public static java.lang.String isFoundByTransliteration(java.lang.String transliteration)

  the transliteration is a pronoun ?

  Parameters:
    `transliteration` - current transliteration to compare with list of pronouns
  Returns:
    list of hieroglyphs
  Since:
    0.6

### getMode

    public java.lang.String getMode()

  return the mode.

  Returns:
    mode
  Since:
    0.6

### setMode

    public void setMode(java.lang.String mode)

  fix the mode.

  Parameters:
    `mode` - mode to fix
  Since:
    0.6

### getPerson

    public java.lang.String getPerson()

  return the person.

  Returns:
    mode
  Since:
    0.6

### setPerson

    public void setPerson(java.lang.String person)

  fix the person.

  Parameters:
    `person` - person to fix
  Since:
    0.6

### getValue

    public java.lang.String getValue()

  return the value.

  Returns:
    mode
  Since:
    0.6

### setValue

    public void setValue(java.lang.String value)

  fix the value.

  Parameters:
    `value` - value to fix
  Since:
    0.6

### getReplace

    public java.lang.String getReplace()

  return the hieroglyph which have to be replaced.

  Returns:
    hieroglyph which have to be replaced
  Since:
    0.6

### setReplace

    public void setReplace(java.lang.String replace)

  fix the hieroglyph which have to be replaced.

  Parameters:
    `replace` - id of hieroglyph to fix
  Since:
    0.6

### isFeminine

    public boolean isFeminine()

  return the feminine mode.

  Returns:
    feminine mode
  Since:
    0.6

### setFeminine

    public void setFeminine(boolean feminine)

  fix the feminine mode.

  Parameters:
    `feminine` - true / false
  Since:
    0.6

### isDemonstrative

    public boolean isDemonstrative()

  return true / false if it's a demonstrative pronoun.

  Returns:
    true / false
  Since:
    0.6

### setDemonstrative

    public void setDemonstrative(boolean demonstrative)

  fix true / false if it's a demonstrative pronoun.

  Parameters:
    `demonstrative` - true / false
  Since:
    0.6

### getId

    public java.lang.String getId()

  return the identification.

  Returns:
    identification
  Since:
    0.6

### setId

    public void setId(java.lang.String id)

  fix the identification.

  Parameters:
    `id` - identification to fix
  Since:
    0.6

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 F. MAUPIN. All Rights Reserved.